### Function

# GLibUnix signal_add

#### Declaration [src]

    guint
    g_unix_signal_add (
      gint signum,
      GSourceFunc handler,
      gpointer user_data
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`signum`

  Type: `gint`

  No description available.

`handler`

  Type: `GSourceFunc`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `guint`

No description available.